% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/model.R
\name{predict_proba}
\alias{predict_proba}
\alias{predict_classes}
\title{Generates probability or class probability predictions for the input samples.}
\usage{
predict_proba(object, x, batch_size = 32, verbose = 0)

predict_classes(object, x, batch_size = 32, verbose = 0)
}
\arguments{
\item{object}{Keras model object}

\item{x}{Input data (vector, matrix, or array)}

\item{batch_size}{Integer}

\item{verbose}{Verbosity mode, 0 or 1.}
}
\description{
Generates probability or class probability predictions for the input samples.
}
\details{
The input samples are processed batch by batch.
}
\seealso{
Other model functions: \code{\link{compile}},
  \code{\link{evaluate.keras.engine.training.Model}},
  \code{\link{evaluate_generator}},
  \code{\link{fit_generator}}, \code{\link{fit}},
  \code{\link{get_config}}, \code{\link{get_layer}},
  \code{\link{keras_model_sequential}},
  \code{\link{keras_model}}, \code{\link{multi_gpu_model}},
  \code{\link{pop_layer}},
  \code{\link{predict.keras.engine.training.Model}},
  \code{\link{predict_generator}},
  \code{\link{predict_on_batch}},
  \code{\link{summary.keras.engine.training.Model}},
  \code{\link{train_on_batch}}
}
